=== contrib/plugins/murano_heat-translator_plugin/requirements.txt ===
heat-translator>=0.4.0 # Apache-2.0
tosca-parser>=0.5.0  # Apache-2.0
