=== debian/changelog ===
murano (1:5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:22:50 -0500

murano (1:5.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:08:49 -0500

murano (1:5.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:32:20 -0500

murano (1:5.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Drop dh-systemd as it does not need to be specified with
    debhelper 10.
  * d/watch: Scope to Queens series.
  * d/p/update-murano-cfapi-paste-ssl.patch: Dropped. Fix included upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 16:32:26 -0500

murano (1:5.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Restore prior (Build-)Depend for python-yaql as the new version
    is not required.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 14:34:50 -0500

murano (1:4.0.0-0ubuntu2) bionic; urgency=medium

  * d/p/update-murano-cfapi-paste-ssl.patch: Update murano-cfapi-paste.ini
    with http_proxy_to_wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 09:40:20 -0500

murano (1:4.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:38:05 -0400

murano (1:4.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:17:07 -0400

murano (1:4.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:33:12 -0400

murano (1:4.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:45 -0400

murano (1:4.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/murano-common.install: Install wsgi script.
  * New snapshot.
  * d/p/*: Drop all patches, no longer required.
  * d/rules: Rework config and policy file generation.

  [ Corey Bryant ]
  * d/control: Drop oslosphinx and update min version of openstackdocstheme.
  * d/rules: Drop extraneous line-continuation backslash.
  * d/rules: Switch to using oslopolicy-sample-generator.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Move mkdir of debian/murano-common/etc/murano up in file.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 09:27:13 -0400

murano (1:4.0.0~b2-0ubuntu1) artful; urgency=medium

  * New snapshot.
  * d/p/disable-git-docs.patch: Correctly handle execution of git command
    when running from sdist tarball rather than from git repository.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:10:01 +0100

murano (1:4.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/murano-cfapi.init.in: Correct name for configuration file,
    resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 11:20:00 +0100

murano (1:4.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Tweak to deal with upstream milestone versioning.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:43:58 +0100

murano (1:3.2.0-0ubuntu1) zesty; urgency=medium

  * debian/murano-cfpai.init: Fix startup init. (LP: #1659270) 
  * debian/watch: Point to tarballs.openstack.org
  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/control, d/tests: Add dep8 tests.
  * d/patches/skip-unit-test.patch: Skip failing unit test.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Feb 2017 13:47:41 -0500

murano (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 09:48:53 -0500
