=== debian/changelog ===
murano (1:6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-murano packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 13:27:44 -0400

murano (1:6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-murano conflicts on each other.
    - d/python(3)-murano.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:29:47 -0400

murano (1:6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 13:34:20 -0400

murano (1:6.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 14:24:56 -0400

murano (1:5.0.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-murano package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      murano-common depends on python-murano by default and python3-murano
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-murano packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Fix typos in python(3)-murano package descriptions.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/murano-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-murano.post*, d/python(3)-murano.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-murano.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for murano daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/murano-cfapi.init.in: Correct name for configuration file,
      resolving autopkgtest failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 21:41:16 -0400

murano (1:5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix python3-murano description (Closes: #891694)
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.
  * Fixed dbc postrm.
  * Removed /usr/bin/* from -api and -engine (Closes: #891659).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:28:27 +0000

murano (1:5.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Reviewed debian/copyright holders list and years.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 13:26:56 +0100
