=== debian/control ===
--- 
+++ 
@@ -1,53 +1,58 @@
 Source: murano
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 53~),
+ openstack-pkg-tools (>= 74~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
+ alembic (>= 0.8.10),
  git,
  python-alembic (>= 0.8.10),
  python-babel (>= 2.3.4),
  python-castellan (>= 0.16.0),
  python-congressclient (>= 1.9.0),
  python-coverage (>= 4.0),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-debtcollector (>= 1.2.0),
  python-eventlet (>= 0.18.2),
  python-fixtures (>= 3.0.0),
  python-hacking (>= 0.12.0),
  python-heatclient (>= 1.10.0),
- python-jsonpatch (>= 1.16),
+ python-jsonpatch (>= 1.19+really1.16),
  python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
- python-kombu (>= 4.0.0),
+ python-kombu (>= 4.1.0),
  python-migrate (>= 0.11.0),
  python-mistralclient (>= 1:3.1.0),
  python-mock (>= 2.0.0),
- python-murano-pkg-check,
+ python-murano-pkg-check (>= 0.3.0),
  python-muranoclient (>= 0.8.2),
+ python-mysqldb,
  python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.3.0),
+ python-neutronclient (>= 1:6.7.0),
  python-nose (>= 1.3.7),
  python-openstackdocstheme (>= 1.18.1),
  python-os-api-ref (>= 1.4.0),
  python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
@@ -71,24 +76,89 @@
  python-six (>= 1.10.0),
  python-sphinxcontrib.httpdomain (>= 1.3.0),
  python-sqlalchemy (>= 1.0.10),
+ python-stestr (>= 1.0.0),
  python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 3.2.1),
- python-testrepository (>= 0.0.18),
+ python-tenacity (>= 4.4.0),
  python-testresources (>= 2.0.0),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python-unittest2 (>= 1.1.0),
  python-webob (>= 1:1.7.1),
- python-yaml (>= 3.10),
- python-yaql (>= 1.1.0),
+ python-yaml (>= 3.12),
+ python-yaql (>= 1.1.3),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-castellan (>= 0.16.0),
+ python3-congressclient (>= 1.9.0),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.1),
+ python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 0.12.0),
+ python3-heatclient (>= 1.10.0),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kombu (>= 4.1.0),
+ python3-migrate (>= 0.11.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-mock (>= 2.0.0),
+ python3-murano-pkg-check (>= 0.3.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-mysqldb,
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-nose (>= 1.3.7),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pep8,
+ python3-psutil (>= 3.2.2),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.7.6),
+ python3-requests (>= 2.14.2),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tenacity (>= 4.4.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-unittest2 (>= 1.1.0),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
+ python3-yaql (>= 1.1.3),
  subunit,
+ tempest (>= 1:12.0.0),
  testrepository,
  zip,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
 Homepage: https://github.com/openstack/murano
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: murano-api
 Architecture: all
@@ -98,10 +168,8 @@
  dbconfig-common,
  debconf,
  murano-common (= ${source:Version}),
- python-openstackclient (>= 3.3.0),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - API server
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -119,7 +187,6 @@
  murano-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - Cloud Foundry broker
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -138,12 +205,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python-murano (= ${source:Version}),
+ python-murano (= ${binary:Version}) | python3-murano (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-ldap,
 Description: cloud-ready application catalog - common files
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -180,7 +244,6 @@
  murano-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - Engine server
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -195,26 +258,29 @@
 Architecture: all
 Section: python
 Depends:
+ alembic (>= 0.8.10),
  python-alembic (>= 0.8.10),
  python-babel (>= 2.3.4),
  python-castellan (>= 0.16.0),
  python-congressclient (>= 1.9.0),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-debtcollector (>= 1.2.0),
  python-eventlet (>= 0.18.2),
  python-heatclient (>= 1.10.0),
- python-jsonpatch (>= 1.16),
+ python-jsonpatch (>= 1.19+really1.16),
  python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
- python-kombu (>= 4.0.0),
+ python-kombu (>= 4.1.0),
  python-mistralclient (>= 1:3.1.0),
  python-muranoclient (>= 0.8.2),
+ python-mysqldb,
  python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.3.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-neutronclient (>= 1:6.7.0),
+ python-openstackclient (>= 3.3.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
@@ -230,27 +296,72 @@
  python-pbr (>= 2.0.0),
  python-psutil (>= 3.2.2),
  python-psycopg2 (>= 2.6.2),
- python-requests (>= 2.14.2),
+ python-pymysql (>= 0.6.2),
+ python-requests (>= 2.8.1),
  python-routes (>= 2.3.1),
  python-semantic-version (>= 2.3.1),
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 3.2.1),
+ python-tenacity (>= 4.4.0),
  python-testtools (>= 2.2.0),
  python-webob (>= 1:1.7.1),
- python-yaml (>= 3.10),
- python-yaql (>= 1.1.0),
+ python-yaml (>= 3.12),
+ python-yaql (>= 1.1.3),
  ${misc:Depends},
  ${python:Depends},
 Recommends:
  python-ldap,
-Description: cloud-ready application catalog - Python 2.x server code
- Murano Project introduces an application catalog, which allows application
- developers and cloud administrators to publish various cloud-ready
- applications in a browsable categorised catalog, which may be used by the
- cloud users (including the inexperienced ones) to pick-up the needed
- applications and services and composes the reliable environments out of them
- in a "push-the-button" manner.
- .
- This package contains the Python 2.x server code.
+Description: cloud-ready application catalog - Python 2.7 libs
+ Murano Project introduces an application catalog, which allows application
+ developers and cloud administrators to publish various cloud-ready
+ applications in a browsable categorised catalog, which may be used by the
+ cloud users (including the inexperienced ones) to pick-up the needed
+ applications and services and composes the reliable environments out of them
+ in a "push-the-button" manner.
+ .
+ This package contains the Python 2.7 library for Murano.
+
+Package: python3-murano
+Architecture: all
+Section: python
+Depends:
+ alembic (>= 0.8.10),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-castellan (>= 0.16.0),
+ python3-congressclient (>= 1.9.0),
+ python3-cryptography (>= 2.1),
+ python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-heatclient (>= 1.10.0),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kombu (>= 4.1.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-mysqldb,
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-openstackclient (>= 3.3.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-psutil (>= 3.2.2),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.6.2),
